unit u_net_ibx_create_database_3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.StdCtrls, Borland.Vcl.Db,
  Borland.Vcl.IBDatabase;

type
  TForm2 = class(TForm)
    Memo1: TMemo;
    IBDatabase1: TIBDatabase;
    create_database_: TButton;
    IBTransaction1: TIBTransaction;
    IBDatabase2: TIBDatabase;
    procedure FormCreate(Sender: TObject);
    procedure create_database_Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation
  uses u_c_net_display, u_c_net_log;

    {$R *.nfm}


    const k_database_path= '..\_data\';
          k_database_name= 'INSTITUT_PASCAL_3.GDB';

    procedure TForm2.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm2.create_database_Click(Sender: TObject);
      begin
        IbDatabase1.Close;

        with IbDatabase1 do
        begin
          display('create '+ k_database_path);
          display('  '+ k_database_name);

          if not DirectoryExists(k_database_path)
            then display_bug_stop('no_path '+ k_database_path);

          If FileExists(k_database_path+ k_database_name)
            Then begin
                display('Erase');
                Exit;
                // f_erase(k_database_path+ k_database_name);
              end;

          DatabaseName:= k_database_path+ k_database_name;
          SqlDialect:= 3;

          with Params do
          begin
            Clear;
            Add('USER "sysdba"');
            Add('PASSWORD "masterkey"');
            Add('PAGE_SIZE 4096');
          end;  

          display('create');

          CreateDatabase;
        end; // with IbDatabase1
      end; // create_database_Click

end.
